program FlatCopy;

uses
  GnuGetText in 'units\GnuGetText.pas',
  LangUtils in 'units\LangUtils.pas',
  Vcl.Forms,
  Vcl.Graphics,
  FlatCopyMain in 'FlatCopyMain.pas' {MainForm},
  SelectFromListDlg in 'units\SelectFromListDlg.pas' {SelectFromListDialog},
  ShellDirDlg in 'units\ShellDirDlg.pas' {ShellDirDialog},
  TimeSlotDlg in 'TimeSlotDlg.pas' {TimeSlotDialog};

{$R *.res}

begin
  TP_GlobalIgnoreClass(TFont);
  // Subdirectory in AppData for user configuration files and supported languages
  InitTranslation('JR-WeicheWare','',['delphi10','units']);

  Application.Initialize;
  Application.MainFormOnTaskbar := True;
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TSelectFromListDialog, SelectFromListDialog);
  Application.CreateForm(TShellDirDialog, ShellDirDialog);
  Application.CreateForm(TTimeSlotDialog, TimeSlotDialog);
  Application.Run;
end.
